Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin
Class StoreInfo

    java.lang.Object
      com.tibco.tibjms.admin.StoreInfo

Direct Known Subclasses:
  DbStoreInfo, FileStoreInfo

    public abstract class StoreInfo

extends java.lang.Object

Class representing information about server's store.

Constructor Summary
`StoreInfo(MapMessage msg)`
`StoreInfo(MapMessage msg, int type)`

Method Summary
`long` | `getFileSize()` Deprecated. this method is not applicable to all store types. Instead, if applicable, use `FileStoreInfo.getSize()`.
`long` | `getFreeSpace()` Deprecated. this method is not applicable to all store types. Instead, if applicable, use `FileStoreInfo.getNotInUseSpace()`.
`long` | `getMsgBytes()` Get the total size of the data messages stored in the store.
`long` | `getMsgCount()` Get the number of data messages stored in the store.
`long` | `getSwappedBytes()` Get the total size of the data messages stored in the store as a result of swapping out non-persistent messages.
`long` | `getSwappedCount()` Get the number of data messages stored in the store as a result of swapping out non-persistent messages.
`long` | `getUsedSpace()` Deprecated. this method is not applicable to all store types. Instead, if applicable, use `FileStoreInfo.getInUseSpace()`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StoreInfo

    public StoreInfo(MapMessage msg)
              throws JMSException

Throws:
  `JMSException`

### StoreInfo

    public StoreInfo(MapMessage msg,
                     int type)
              throws JMSException

Throws:
  `JMSException`

Method Detail

### getMsgCount

    public long getMsgCount()

  Get the number of data messages stored in the store.

  Returns:
    the number of messages

### getMsgBytes

    public long getMsgBytes()

  Get the total size of the data messages stored in the store.

  Returns:
    the size in bytes

### getSwappedCount

    public long getSwappedCount()

  Get the number of data messages stored in the store as a result of swapping out non-persistent messages.

  Returns:
    the number of messages

### getSwappedBytes

    public long getSwappedBytes()

  Get the total size of the data messages stored in the store as a result of swapping out non-persistent messages.

  Returns:
    the size in bytes

### getFreeSpace

    public long getFreeSpace()

  Deprecated. this method is not applicable to all store types. Instead, if applicable, use `FileStoreInfo.getNotInUseSpace()`.

  Get the amount of space in the store file that is not in use.

  Returns:
    the number of bytes that are free

### getUsedSpace

    public long getUsedSpace()

  Deprecated. this method is not applicable to all store types. Instead, if applicable, use `FileStoreInfo.getInUseSpace()`.

  Get the amount of space in the store file that is in use.

  Returns:
    the number of bytes that are in use

### getFileSize

    public long getFileSize()

  Deprecated. this method is not applicable to all store types. Instead, if applicable, use `FileStoreInfo.getSize()`.

  Get the total size of the store file.

  Returns:
    the size in bytes

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved